### Hierarchy

- UIMenuItem
  - UIMenuCheckboxItem

## Index

### Constructors

- constructor

### Properties

- _checkboxSprite
- _checked
- _style
- activated
- badgeLeft
- badgeRight
- checkboxChanged
- enabled
- hovered
- id
- labelText
- offset
- panelActivated
- parent
- rectangle
- selected
- selectedSprite
- supportsDescription
- supportsLeftBadge
- supportsPanels
- supportsRightBadge
- supportsRightLabel
- text
- defaultBackColor
- defaultForeColor
- defaultHighlightedBackColor
- defaultHighlightedForeColor
- defaultHoveredBackColor
- defaultHoveredForeColor

### Accessors

- BackColor
- Checked
- Description
- ForeColor
- FormattedDescription
- HighlightedBackColor
- HighlightedForeColor
- IsMouseInBounds
- LeftBadge
- Panels
- RightBadge
- RightLabel
- Style
- Text

### Methods

- _getSpriteColor
- _getSpriteName
- addEvent
- addPanel
- badgeToColor
- badgeToTextureName
- draw
- findPanelIndex
- fireEvent
- formatDescription
- removePanel
- setVerticalPosition
- badgeToTextureDict
- getBadgeSize
- getBadgeSpriteHeightOffset
- getBadgeSpriteWidthOffset

## Constructors

### constructor

- new UIMenuCheckboxItem(text: string, checked?: boolean, description?: string, style?: CheckboxStyle): UIMenuCheckboxItem

- Overrides UIMenuItem.constructor

  - Defined in ui/menu/items/UIMenuCheckboxItem.ts:17

  #### Parameters

  - ##### text: string

  - ##### checked: boolean = false

  - ##### Optional description: string

  - ##### style: CheckboxStyle = ...

  #### Returns UIMenuCheckboxItem

## Properties

### Private Readonly _checkboxSprite

_checkboxSprite: Sprite

- Defined in ui/menu/items/UIMenuCheckboxItem.ts:15

### Private _checked

_checked: boolean = false

- Defined in ui/menu/items/UIMenuCheckboxItem.ts:12

### Private _style

_style: CheckboxStyle = ...

- Defined in ui/menu/items/UIMenuCheckboxItem.ts:13

### Readonly activated

activated: LiteEvent = ...

Inherited from UIMenuItem.activated

- Defined in ui/menu/items/UIMenuItem.ts:361

### Protected Readonly badgeLeft

badgeLeft: Sprite

Inherited from UIMenuItem.badgeLeft

- Defined in ui/menu/items/UIMenuItem.ts:374

### Protected Readonly badgeRight

badgeRight: Sprite

Inherited from UIMenuItem.badgeRight

- Defined in ui/menu/items/UIMenuItem.ts:375

### Readonly checkboxChanged

checkboxChanged: LiteEvent = ...

- Defined in ui/menu/items/UIMenuCheckboxItem.ts:7

### enabled

enabled: boolean = true

Inherited from UIMenuItem.enabled

- Defined in ui/menu/items/UIMenuItem.ts:354

### hovered

hovered: boolean = false

Inherited from UIMenuItem.hovered

- Defined in ui/menu/items/UIMenuItem.ts:356

### Readonly id

id: string = ...

Inherited from UIMenuItem.id

- Defined in ui/menu/items/UIMenuItem.ts:352

### Protected Readonly labelText

labelText: Text

Inherited from UIMenuItem.labelText

- Defined in ui/menu/items/UIMenuItem.ts:377

### offset

offset: Point = ...

Inherited from UIMenuItem.offset

- Defined in ui/menu/items/UIMenuItem.ts:358

### Readonly panelActivated

panelActivated: LiteEvent = ...

Inherited from UIMenuItem.panelActivated

- Defined in ui/menu/items/UIMenuItem.ts:362

### parent

parent: undefined | Menu

Inherited from UIMenuItem.parent

- Defined in ui/menu/items/UIMenuItem.ts:359

### Protected Readonly rectangle

rectangle: Rectangle

Inherited from UIMenuItem.rectangle

- Defined in ui/menu/items/UIMenuItem.ts:370

### selected

selected: boolean = false

Inherited from UIMenuItem.selected

- Defined in ui/menu/items/UIMenuItem.ts:355

### Protected Readonly selectedSprite

selectedSprite: Sprite

Inherited from UIMenuItem.selectedSprite

- Defined in ui/menu/items/UIMenuItem.ts:372

### Protected supportsDescription

supportsDescription: boolean = true

Inherited from UIMenuItem.supportsDescription

- Defined in ui/menu/items/UIMenuItem.ts:364

### Protected supportsLeftBadge

supportsLeftBadge: boolean = true

Inherited from UIMenuItem.supportsLeftBadge

- Defined in ui/menu/items/UIMenuItem.ts:366

### Protected supportsPanels

supportsPanels: boolean = true

Inherited from UIMenuItem.supportsPanels

- Defined in ui/menu/items/UIMenuItem.ts:365

### Protected supportsRightBadge

supportsRightBadge: boolean = false

Overrides UIMenuItem.supportsRightBadge

- Defined in ui/menu/items/UIMenuCheckboxItem.ts:9

### Protected supportsRightLabel

supportsRightLabel: boolean = false

Overrides UIMenuItem.supportsRightLabel

- Defined in ui/menu/items/UIMenuCheckboxItem.ts:10

### Protected Readonly text

text: Text

Inherited from UIMenuItem.text

- Defined in ui/menu/items/UIMenuItem.ts:371

### Static defaultBackColor

defaultBackColor: Color = ...

Inherited from UIMenuItem.defaultBackColor

- Defined in ui/menu/items/UIMenuItem.ts:344

### Static defaultForeColor

defaultForeColor: Color = ...

Inherited from UIMenuItem.defaultForeColor

- Defined in ui/menu/items/UIMenuItem.ts:348

### Static defaultHighlightedBackColor

defaultHighlightedBackColor: Color = ...

Inherited from UIMenuItem.defaultHighlightedBackColor

- Defined in ui/menu/items/UIMenuItem.ts:345

### Static defaultHighlightedForeColor

defaultHighlightedForeColor: Color = ...

Inherited from UIMenuItem.defaultHighlightedForeColor

- Defined in ui/menu/items/UIMenuItem.ts:350

### Static defaultHoveredBackColor

defaultHoveredBackColor: Color = ...

Inherited from UIMenuItem.defaultHoveredBackColor

- Defined in ui/menu/items/UIMenuItem.ts:346

### Static defaultHoveredForeColor

defaultHoveredForeColor: Color = ...

Inherited from UIMenuItem.defaultHoveredForeColor

- Defined in ui/menu/items/UIMenuItem.ts:349

## Accessors

### BackColor

- get BackColor(): Color
- set BackColor(value: Color): void

- - Defined in ui/menu/items/UIMenuItem.ts:439

  #### Returns Color

- - Defined in ui/menu/items/UIMenuItem.ts:443

  #### Parameters

  - ##### value: Color

  #### Returns void

### Checked

- get Checked(): boolean
- set Checked(value: boolean): void

- - Defined in ui/menu/items/UIMenuCheckboxItem.ts:29

  #### Returns boolean

- - Defined in ui/menu/items/UIMenuCheckboxItem.ts:33

  #### Parameters

  - ##### value: boolean

  #### Returns void

### Description

- get Description(): string
- set Description(value: string): void

- - Defined in ui/menu/items/UIMenuItem.ts:420

  #### Returns string

- - Defined in ui/menu/items/UIMenuItem.ts:427

  #### Parameters

  - ##### value: string

  #### Returns void

### ForeColor

- get ForeColor(): Color
- set ForeColor(value: Color): void

- - Defined in ui/menu/items/UIMenuItem.ts:459

  #### Returns Color

- - Defined in ui/menu/items/UIMenuItem.ts:463

  #### Parameters

  - ##### value: Color

  #### Returns void

### FormattedDescription

- get FormattedDescription(): string

- - Defined in ui/menu/items/UIMenuItem.ts:435

  #### Returns string

### HighlightedBackColor

- get HighlightedBackColor(): Color
- set HighlightedBackColor(value: Color): void

- - Defined in ui/menu/items/UIMenuItem.ts:449

  #### Returns Color

- - Defined in ui/menu/items/UIMenuItem.ts:453

  #### Parameters

  - ##### value: Color

  #### Returns void

### HighlightedForeColor

- get HighlightedForeColor(): Color
- set HighlightedForeColor(value: Color): void

- - Defined in ui/menu/items/UIMenuItem.ts:469

  #### Returns Color

- - Defined in ui/menu/items/UIMenuItem.ts:473

  #### Parameters

  - ##### value: Color

  #### Returns void

### IsMouseInBounds

- get IsMouseInBounds(): boolean

- - Defined in ui/menu/items/UIMenuItem.ts:525

  #### Returns boolean

### LeftBadge

- get LeftBadge(): BadgeStyle
- set LeftBadge(value: BadgeStyle): void

- - Defined in ui/menu/items/UIMenuItem.ts:477

  #### Returns BadgeStyle

- - Defined in ui/menu/items/UIMenuItem.ts:484

  #### Parameters

  - ##### value: BadgeStyle

  #### Returns void

### Panels

- get Panels(): AbstractUIMenuPanel[]
- set Panels(value: AbstractUIMenuPanel[]): void

- - Defined in ui/menu/items/UIMenuItem.ts:531

  #### Returns AbstractUIMenuPanel[]

- - Defined in ui/menu/items/UIMenuItem.ts:538

  #### Parameters

  - ##### value: AbstractUIMenuPanel[]

  #### Returns void

### RightBadge

- get RightBadge(): BadgeStyle
- set RightBadge(value: BadgeStyle): void

- - Defined in ui/menu/items/UIMenuItem.ts:494

  #### Returns BadgeStyle

- - Defined in ui/menu/items/UIMenuItem.ts:501

  #### Parameters

  - ##### value: BadgeStyle

  #### Returns void

### RightLabel

- get RightLabel(): string
- set RightLabel(value: string): void

- - Defined in ui/menu/items/UIMenuItem.ts:511

  #### Returns string

- - Defined in ui/menu/items/UIMenuItem.ts:518

  #### Parameters

  - ##### value: string

  #### Returns void

### Style

- get Style(): CheckboxStyle
- set Style(value: CheckboxStyle): void

- - Defined in ui/menu/items/UIMenuCheckboxItem.ts:37

  #### Returns CheckboxStyle

- - Defined in ui/menu/items/UIMenuCheckboxItem.ts:41

  #### Parameters

  - ##### value: CheckboxStyle

  #### Returns void

### Text

- get Text(): string
- set Text(value: string): void

- - Defined in ui/menu/items/UIMenuItem.ts:412

  #### Returns string

- - Defined in ui/menu/items/UIMenuItem.ts:416

  #### Parameters

  - ##### value: string

  #### Returns void

## Methods

### Private _getSpriteColor

- _getSpriteColor(): Color

- - Defined in ui/menu/items/UIMenuCheckboxItem.ts:73

  #### Returns Color

### Private _getSpriteName

- _getSpriteName(): string

- - Defined in ui/menu/items/UIMenuCheckboxItem.ts:58

  #### Returns string

### addEvent

- addEvent(event: string, ...args: unknown[]): void

- Inherited from UIMenuItem.addEvent

  - Defined in ui/menu/items/UIMenuItem.ts:575

  #### Parameters

  - ##### event: string

  - ##### Rest ...args: unknown[]

  #### Returns void

### addPanel

- addPanel(panel: AbstractUIMenuPanel | AbstractUIMenuPanel[]): void

- Inherited from UIMenuItem.addPanel

  - Defined in ui/menu/items/UIMenuItem.ts:545

  #### Parameters

  - ##### panel: AbstractUIMenuPanel | AbstractUIMenuPanel[]

  #### Returns void

### badgeToColor

- badgeToColor(badge: BadgeStyle): Color

- Inherited from UIMenuItem.badgeToColor

  - Defined in ui/menu/items/UIMenuItem.ts:979

  #### Parameters

  - ##### badge: BadgeStyle

  #### Returns Color

### badgeToTextureName

- badgeToTextureName(badge: BadgeStyle): string

- Inherited from UIMenuItem.badgeToTextureName

  - Defined in ui/menu/items/UIMenuItem.ts:616

  #### Parameters

  - ##### badge: BadgeStyle

  #### Returns string

### draw

- draw(): void

- Overrides UIMenuItem.draw

  - Defined in ui/menu/items/UIMenuCheckboxItem.ts:50

  #### Returns void

### findPanelIndex

- findPanelIndex(panel: AbstractUIMenuPanel): number

- Inherited from UIMenuItem.findPanelIndex

  - Defined in ui/menu/items/UIMenuItem.ts:556

  #### Parameters

  - ##### panel: AbstractUIMenuPanel

  #### Returns number

### fireEvent

- fireEvent(): void

- Inherited from UIMenuItem.fireEvent

  - Defined in ui/menu/items/UIMenuItem.ts:579

  #### Returns void

### formatDescription

- formatDescription(): void

- Inherited from UIMenuItem.formatDescription

  - Defined in ui/menu/items/UIMenuItem.ts:585

  #### Returns void

### removePanel

- removePanel(panelOrIndex: number | AbstractUIMenuPanel): void

- Inherited from UIMenuItem.removePanel

  - Defined in ui/menu/items/UIMenuItem.ts:564

  #### Parameters

  - ##### panelOrIndex: number | AbstractUIMenuPanel

  #### Returns void

### setVerticalPosition

- setVerticalPosition(y: number): void

- Overrides UIMenuItem.setVerticalPosition

  - Defined in ui/menu/items/UIMenuCheckboxItem.ts:45

  #### Parameters

  - ##### y: number

  #### Returns void

### Static badgeToTextureDict

- badgeToTextureDict(badge: BadgeStyle): string

- Inherited from UIMenuItem.badgeToTextureDict

  - Defined in ui/menu/items/UIMenuItem.ts:7

  #### Parameters

  - ##### badge: BadgeStyle

  #### Returns string

### Static getBadgeSize

- getBadgeSize(badge: BadgeStyle): Size

- Inherited from UIMenuItem.getBadgeSize

  - Defined in ui/menu/items/UIMenuItem.ts:182

  #### Parameters

  - ##### badge: BadgeStyle

  #### Returns Size

### Static getBadgeSpriteHeightOffset

- getBadgeSpriteHeightOffset(sprite: Sprite): number

- Inherited from UIMenuItem.getBadgeSpriteHeightOffset

  - Defined in ui/menu/items/UIMenuItem.ts:178

  #### Parameters

  - ##### sprite: Sprite

  #### Returns number

### Static getBadgeSpriteWidthOffset

- getBadgeSpriteWidthOffset(sprite: Sprite): number

- Inherited from UIMenuItem.getBadgeSpriteWidthOffset

  - Defined in ui/menu/items/UIMenuItem.ts:174

  #### Parameters

  - ##### sprite: Sprite

  #### Returns number

Generated using TypeDoc